aagc.vo

## Class PianoTerapeuticoRequest

- java.lang.Object
- - aagc.vo.PianoTerapeuticoRequest

-     public class PianoTerapeuticoRequest
      extends java.lang.Object

  Classe Java per pianoTerapeuticoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="pianoTerapeuticoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceFiscaleAssistito" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="identificativoAssistitoFuoriAnagrafe" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceAssistitoSTP" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="((STP|ENI)[0-9]{13})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataRedazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscaleLiberoProfessionista" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codStruttura" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="6"/>
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceAssistitoSTP`
    `protected java.lang.String` | `codiceFiscaleAssistito`
    `protected java.lang.String` | `codiceFiscaleLiberoProfessionista`
    `protected java.lang.String` | `codStruttura`
    `protected java.lang.String` | `dataRedazione`
    `protected java.lang.String` | `identificativoAssistitoFuoriAnagrafe`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PianoTerapeuticoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceAssistitoSTP()` Recupera il valore della proprietà codiceAssistitoSTP.
    `java.lang.String` | `getCodiceFiscaleAssistito()` Recupera il valore della proprietà codiceFiscaleAssistito.
    `java.lang.String` | `getCodiceFiscaleLiberoProfessionista()` Recupera il valore della proprietà codiceFiscaleLiberoProfessionista.
    `java.lang.String` | `getCodStruttura()` Recupera il valore della proprietà codStruttura.
    `java.lang.String` | `getDataRedazione()` Recupera il valore della proprietà dataRedazione.
    `java.lang.String` | `getIdentificativoAssistitoFuoriAnagrafe()` Recupera il valore della proprietà identificativoAssistitoFuoriAnagrafe.
    `void` | `setCodiceAssistitoSTP(java.lang.String value)` Imposta il valore della proprietà codiceAssistitoSTP.
    `void` | `setCodiceFiscaleAssistito(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleAssistito.
    `void` | `setCodiceFiscaleLiberoProfessionista(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleLiberoProfessionista.
    `void` | `setCodStruttura(java.lang.String value)` Imposta il valore della proprietà codStruttura.
    `void` | `setDataRedazione(java.lang.String value)` Imposta il valore della proprietà dataRedazione.
    `void` | `setIdentificativoAssistitoFuoriAnagrafe(java.lang.String value)` Imposta il valore della proprietà identificativoAssistitoFuoriAnagrafe.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceFiscaleAssistito

          protected java.lang.String codiceFiscaleAssistito

    - #### identificativoAssistitoFuoriAnagrafe

          protected java.lang.String identificativoAssistitoFuoriAnagrafe

    - #### codiceAssistitoSTP

          protected java.lang.String codiceAssistitoSTP

    - #### dataRedazione

          protected java.lang.String dataRedazione

    - #### codiceFiscaleLiberoProfessionista

          protected java.lang.String codiceFiscaleLiberoProfessionista

    - #### codStruttura

          protected java.lang.String codStruttura

  - ### Constructor Detail

    - #### PianoTerapeuticoRequest

          public PianoTerapeuticoRequest()

  - ### Method Detail

    - #### getCodiceFiscaleAssistito

          public java.lang.String getCodiceFiscaleAssistito()

      Recupera il valore della proprietà codiceFiscaleAssistito.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleAssistito

          public void setCodiceFiscaleAssistito(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentificativoAssistitoFuoriAnagrafe

          public java.lang.String getIdentificativoAssistitoFuoriAnagrafe()

      Recupera il valore della proprietà identificativoAssistitoFuoriAnagrafe.
      Returns:
        possible object is `String`

    - #### setIdentificativoAssistitoFuoriAnagrafe

          public void setIdentificativoAssistitoFuoriAnagrafe(java.lang.String value)

      Imposta il valore della proprietà identificativoAssistitoFuoriAnagrafe.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceAssistitoSTP

          public java.lang.String getCodiceAssistitoSTP()

      Recupera il valore della proprietà codiceAssistitoSTP.
      Returns:
        possible object is `String`

    - #### setCodiceAssistitoSTP

          public void setCodiceAssistitoSTP(java.lang.String value)

      Imposta il valore della proprietà codiceAssistitoSTP.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataRedazione

          public java.lang.String getDataRedazione()

      Recupera il valore della proprietà dataRedazione.
      Returns:
        possible object is `String`

    - #### setDataRedazione

          public void setDataRedazione(java.lang.String value)

      Imposta il valore della proprietà dataRedazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceFiscaleLiberoProfessionista

          public java.lang.String getCodiceFiscaleLiberoProfessionista()

      Recupera il valore della proprietà codiceFiscaleLiberoProfessionista.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleLiberoProfessionista

          public void setCodiceFiscaleLiberoProfessionista(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleLiberoProfessionista.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodStruttura

          public java.lang.String getCodStruttura()

      Recupera il valore della proprietà codStruttura.
      Returns:
        possible object is `String`

    - #### setCodStruttura

          public void setCodStruttura(java.lang.String value)

      Imposta il valore della proprietà codStruttura.
      Parameters:
        `value` - allowed object is `String`